%define githash ac4be0b
%define gitdate 20101012

Name:		goldendict
Version:	0.9.0
Release:	15.%{gitdate}git%{githash}%{?dist}
Summary:	A feature-rich dictionary lookup program
Group:		Applications/System
License:	GPLv3+
URL:		http://goldendict.berlios.de/
#Source0:	http://prdownload.berlios.de/goldendict/goldendict-0.9.0-src-x11.tar.bz2
# The source is generated from the git snapshot using the following command
# git clone git://gitorious.org/goldendict/goldendict.git
# git archive master --prefix=goldendict-`git log --pretty=format:"%h"| head -n1`/ |gzip > goldendict-`git log --pretty=format:"%h"|head -n1`.tar.gz
Source0:	%{name}-%{githash}.tar.gz

# Modify the Icon section in desktop file to comform package guideline.

BuildRequires:	qt-devel
BuildRequires:	libXtst-devel
BuildRequires:	hunspell-devel
BuildRequires:	libvorbis-devel
BuildRequires:	desktop-file-utils
BuildRequires:	phonon-devel
BuildRequires:  qt-webkit-devel


%description
Goldendict is a feature-rich dictionary lookup program.
The latest release has the following features:
Use of WebKit for an accurate articles' representation;
Support of multiple dictionary file formats;
Support MediaWiki-based sites to perform search;
Scan popup functionality.

%prep
%setup -q -n goldendict-%{githash}
#%patch0 -p1


%build
# Fix the directory in goldendict.pro by removing apps
sed -i 's/share\/apps\/goldendict/share\/goldendict/g' goldendict.pro
PREFIX=%{_prefix} qmake-qt4
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot} INSTALL="install -p"
rm -rf %{buildroot}/%{_datadir}/app-install

# Fix the icon name in desktop file
sed -i 's/\/usr\/share\/pixmaps\/goldendict\.png/goldendict/g' %{buildroot}/%{_datadir}/applications/goldendict.desktop
# Fix the categories in desktop file
desktop-file-install	\
--add-category="Utility"	\
--remove-category="Office"	\
--remove-category="Education"	\
--remove-category="Applications"	\
--delete-original	\
--dir=%{buildroot}%{_datadir}/applications	\
%{buildroot}%{_datadir}/applications/goldendict.desktop
install -d %{buildroot}/%{_datadir}/goldendict/locale
install -pm 644 locale/*.qm %{buildroot}/%{_datadir}/goldendict/locale


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%dir %{_datadir}/goldendict/
%dir %{_datadir}/goldendict/locale/
%{_bindir}/goldendict
%{_datadir}/applications/goldendict.desktop
%{_datadir}/pixmaps/goldendict.png
%{_datadir}/goldendict/locale/*.qm



%changelog
* Tue Oct 12 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-15
- New upstream

* Wed Aug 04 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-14
- Fix the git repo

* Wed Aug 04 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-13
- New upstream version

* Thu Jun 10 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-12
- New upstream version
- Better BGL support
- Updated translations
- Play audio from website

* Tue May 11 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-11
- Drop the patch files in favor of sed.
- Change to a more standard directory by removing app directory.
- Remove libzip-devel and kde-filesystem requirement.

* Tue May 11 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-10
- Clean up the spec file.
- Update to the latest upstream.
- Enhance dictiionary groups editing.
- Fix the scan popup issues more.
- Update the Chinese translation.

* Wed Apr 14 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-9
- Add kde-filesystem requirement.

* Fri Apr 11 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-8
- Patch the desktop file to conform the guideline.
- Clean up the spec file more.
* Fri Apr 09 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-7
- Clean up the spec file.
- Add ownership of the missing directories.

* Mon Mar 15 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-6
- Add missing translations.

* Sun Mar 07 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-5
- New upstream git.
- Add phonon-devel as build requirement.

* Sat Feb 06 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-4
- New upstream git. Fix some sound problem and scan popup problem.

* Sat Dec 26 2009 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-3
- New upstream git. Fix punctuation indexing problem and audio problems.

* Thu Dec 10 2009 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-2
- Add LICENSE.txt
- Change the group to Applications/System

* Wed Dec 9 2009 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-1
- Initial Release
